<?php
// Tableau des codes postaux
$CP_DEPT = array (
    'CRETEIL'   => array ('CP' => 94000, 'DEPT' => 'Val-de-Marne'),
    'NICE'      => array ('CP' => 6000, 'DEPT' => 'Alpes-Maritimes'),
    'LA BAULE'  => array ('CP' => 44500, 'DEPT' => 'Loire-Atlantique'),
    'STRASBOURG'=> array ('CP' => 67000, 'DEPT' => 'Bas-Rhin'));
// affichage du tableau
echo '--- Affichage de $CP_DEPT ---'.PHP_EOL;
foreach($CP_DEPT as $codeville => $ligne_ville)
{
  echo "$codeville : \t";
  foreach($ligne_ville as $colonne => $valeur)
  {
    echo "[$colonne]:$valeur\t";
  }
  echo PHP_EOL;
}
echo PHP_EOL;
echo "Entrez une clé à chercher :";
$clefrecherche=fgets(STDIN);
// suppression des espaces au début , à la fin et suppression du saut de ligne
$clefrecherche=trim($clefrecherche);

// ---------------------------------------------------------
// fonction array_key_exists() sur les étiquettes des lignes
// ---------------------------------------------------------
$trouveclefligne=array_key_exists($clefrecherche,$CP_DEPT);
foreach($CP_DEPT as $codeville => $ligne_ville)
{ 
  // ---------------------------------------------------------
  // fonction array_key_exists() sur les étiquettes des colonnes
  // ---------------------------------------------------------
  $trouveclefcolonne=array_key_exists($clefrecherche,$ligne_ville);
//  print_r($ligne_ville);
}
if ($trouveclefligne) echo "La clef $clefrecherche est trouvée dans les lignes".PHP_EOL;
if ($trouveclefcolonne) echo "La clef $clefrecherche est trouvée dans les colonnes".PHP_EOL;
if ((!$trouveclefligne) && (!$trouveclefcolonne)) echo "La clef $clefrecherche est non trouvée".PHP_EOL;
?>
